Geo-IP6 v1.0 Perl 5 v5.24.2 x86_64-linux

Status
Pass
From
Slaven Rezić (SREZIC)
Dist
Geo-IP6 v1.0
Platform
Perl 5 v5.24.2 x86_64-linux
Date
2019-07-23T12:52:55
ID
ca8129e0-ad48-11e9-9bb6-c1881f24ea8f
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear GCore GmbH,

This is a computer-generated report for Geo-IP6-1.0
on perl 5.24.2, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN.  Congratulations!
All tests were successful.

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

none provided

------------------------------
PROGRAM OUTPUT
------------------------------

Output from 'make test':

PERL_DL_NONLAZY=1 "/opt/perl-5.24.2/bin/perl5.24.2" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
# Testing Geo::IP6 1.0, Perl 5.024002, /opt/perl-5.24.2/bin/perl5.24.2
t/00-load.t ....... ok
t/manifest.t ...... skipped: Author tests not required for installation
t/pod-coverage.t .. skipped: Author tests not required for installation
t/pod.t ........... skipped: Author tests not required for installation
All tests successful.
Files=4, Tests=1,  0 wallclock secs ( 0.01 usr  0.02 sys +  0.13 cusr  0.04 csys =  0.20 CPU)
Result: PASS

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

requires:

    Module              Need  Have    
    ------------------- ----- --------
    LMDB_File           0.12  0.12    
    perl                5.006 5.024002

build_requires:

    Module              Need  Have    
    ------------------- ----- --------
    ExtUtils::MakeMaker 0     7.10_02 
    Test::More          0     1.302096

configure_requires:

    Module              Need  Have    
    ------------------- ----- --------
    ExtUtils::MakeMaker 0     7.10_02 


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    LANG = en_US.UTF-8
    PATH = /usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/cpansand/bin/linux-gnu:/home/cpansand/bin/sh:/home/cpansand/bin:/usr/games:/home/cpansand/devel:/home/eserte/src/srezic-misc/scripts
    PERL5LIB = /home/cpansand/.cpan/build/2019072312/LMDB_File-0.12-Cdw0LF/blib/arch:/home/cpansand/.cpan/build/2019072312/LMDB_File-0.12-Cdw0LF/blib/lib
    PERL5OPT = 
    PERL5_CPANPLUS_IS_RUNNING = 23719
    PERL5_CPAN_IS_RUNNING = 23719
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 13028,23719
    PERLDOC = -MPod::Perldoc::ToTextOverstrike
    PERL_BATCH = yes
    PERL_CANARY_STABILITY_NOPROMPT = 1
    PERL_CPAN_REPORTER_CONFIG = /var/tmp/cpansmoker-1023/2019072312/cpanreporter_000_config.ini
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    SHELL = /bin/zsh
    TERM = screen
    TMPDIR = /var/tmp/cpansmoker-1023/2019072312

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /opt/perl-5.24.2/bin/perl5.24.2
    $UID/$EUID = 1023 / 1023
    $GID = 1023 1023
    $EGID = 1023 1023

Perl module toolchain versions installed:

    Module              Have      
    ------------------- ----------
    CPAN                2.11_01   
    CPAN::Meta          2.150005  
    Cwd                 3.63_01   
    ExtUtils::CBuilder  0.280225  
    ExtUtils::Command   7.10_02   
    ExtUtils::Install   2.04      
    ExtUtils::MakeMaker 7.10_02   
    ExtUtils::Manifest  1.70      
    ExtUtils::ParseXS   3.31      
    File::Spec          3.63_01   
    JSON                2.94      
    JSON::PP            2.27300_01
    Module::Build       0.4224    
    Module::Signature   n/a       
    Parse::CPAN::Meta   1.4417_001
    Test::Harness       3.36_01   
    Test::More          1.302096  
    YAML                1.23      
    YAML::Syck          1.30      
    version             0.9916    


--

Summary of my perl5 (revision 5 version 24 subversion 2) configuration:
   
  Platform:
    osname=linux, osvers=2.6.32-696.3.1.el6.x86_64, archname=x86_64-linux
    uname='linux centos6 2.6.32-696.3.1.el6.x86_64 #1 smp tue may 30 19:52:55 utc 2017 x86_64 x86_64 x86_64 gnulinux '
    config_args='-ds -e -Dprefix=/opt/perl-5.24.2 -Dcf_email=srezic@cpan.org'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=undef, usemultiplicity=undef
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-fwrapv -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2',
    optimize='-O2',
    cppflags='-fwrapv -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion='', gccversion='4.4.7 20120313 (Red Hat 4.4.7-18)', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678, doublekind=3
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16, longdblkind=3
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -fstack-protector -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib /lib/../lib64 /usr/lib/../lib64 /lib /lib64 /usr/lib64 /usr/local/lib64
    libs=-lpthread -lnsl -lgdbm -ldb -ldl -lm -lcrypt -lutil -lc
    perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    libc=libc-2.12.so, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version='2.12'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E'
    cccdlflags='-fPIC', lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options: HAS_TIMES PERLIO_LAYERS PERL_COPY_ON_WRITE
                        PERL_DONT_CREATE_GVSV
                        PERL_HASH_FUNC_ONE_AT_A_TIME_HARD PERL_MALLOC_WRAP
                        PERL_PRESERVE_IVUV USE_64_BIT_ALL USE_64_BIT_INT
                        USE_LARGE_FILES USE_LOCALE USE_LOCALE_COLLATE
                        USE_LOCALE_CTYPE USE_LOCALE_NUMERIC USE_LOCALE_TIME
                        USE_PERLIO USE_PERL_ATOF
  Built under linux
  Compiled at Sep 16 2017 21:22:14
  %ENV:
    PERL5LIB="/home/cpansand/.cpan/build/2019072312/LMDB_File-0.12-Cdw0LF/blib/arch:/home/cpansand/.cpan/build/2019072312/LMDB_File-0.12-Cdw0LF/blib/lib"
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="23719"
    PERL5_CPAN_IS_RUNNING="23719"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="13028,23719"
    PERLDOC="-MPod::Perldoc::ToTextOverstrike"
    PERL_BATCH="yes"
    PERL_CANARY_STABILITY_NOPROMPT="1"
    PERL_CPAN_REPORTER_CONFIG="/var/tmp/cpansmoker-1023/2019072312/cpanreporter_000_config.ini"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
  @INC:
    /home/cpansand/.cpan/build/2019072312/LMDB_File-0.12-Cdw0LF/blib/arch
    /home/cpansand/.cpan/build/2019072312/LMDB_File-0.12-Cdw0LF/blib/lib
    /opt/perl-5.24.2/lib/site_perl/5.24.2/x86_64-linux
    /opt/perl-5.24.2/lib/site_perl/5.24.2
    /opt/perl-5.24.2/lib/5.24.2/x86_64-linux
    /opt/perl-5.24.2/lib/5.24.2
    .